# SparkFun ADS122C04 ADC Arduino Library

The TI ADS122C04 is a precision 24-bit delta-sigma analog to digital converter. It can measure voltage very
accurately through two differential or four single-ended inputs. It has a flexible input multiplexer,
a low-noise programmable gain amplifier, two programmable current sources, a voltage reference
and an in-built precision temperature sensor. In summary, it contains everything you need for a wide
variety of applications including being able to measure temperature accurately from remote sensors.

Thanks to:

- [deviashin](https://github.com/sparkfun/SparkFun_ADS122C04_ADC_Arduino_Library/issues/3) for identifying that the PGA bypass was inverted.

## Repository Contents

- **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE.
- **/src** - Source files for the library (.cpp, .h).
- **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE.
- **library.properties** - General library properties for the Arduino package manager.

## Products That Use This Library

- [Qwiic PT100 - ADS122C04 (SPX-16770)](https://www.sparkfun.com/products/16770)

## Documentation

- **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.

## License Information

This product is _**open source**_!

Please use, reuse, and modify these files as you see fit.
Please maintain the attribution and release anything derivative under the same license.

Distributed as-is; no warranty is given.
